Why does phpinfo page show wrong information in CloudLinux when PHP Selector is used?

Created:

2017-02-12 07:18:32 UTC

Modified:

2017-08-16 16:45:35 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Why does phpinfo page show wrong information in CloudLinux when PHP Selector is used?

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux

Question

CloudLinux is used as an operating system. CageFS in turned on and PHP Selector is installed.

Each domain of the subscription example.com has PHP version 5.3.29. phpinfo pages for these domains show PHP version 5.3.29.

Changing the PHP version to 5.4.45 for any domain of the subscription example.com is not reflected on the domains' phpinfo page. Why version 5.3.29 is still shown?

Answer

This is expected behavior for CloudLinux PHP Selector: PHP version set in the PHP Selector overrides PHP version set in Plesk.

As a result, any changes of PHP version in Plesk > Subscriptions > example.com > PHP Settings do not have an impact.

There are two ways to make PHP version set in Plesk to have priority over the version set in the PHP Selector:

1. set Current PHP Version in Plesk > Subscriptions > example.com > PHP Selector to native.

2. set PHP-FPM as a handler in Plesk > Subscriptions > example.com > PHP Settings. This handler is not supported by PHP Selector and it will override the PHP Selector settings.

Additional information

How to enable native PHP version in PHP Selector

Have more questions? Submit a request
Please sign in to leave a comment.